﻿using System;
using System.Windows.Forms;

using System.Data;
using System.Data.SqlClient;
using CrystalDecisions.Shared;
using CrystalDecisions.CrystalReports.Engine;

namespace CrystalReport_Export_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        CustomerReport crystalReport;
        private void Form1_Load(object sender, EventArgs e)
        {
            crystalReport = new CustomerReport();
            Customers dsCustomers = GetData();
            crystalReport.SetDataSource(dsCustomers);
            this.crystalReportViewer1.ReportSource = crystalReport;
            this.crystalReportViewer1.RefreshReport();
        }

        private Customers GetData()
        {
            string constr = @"Data Source=.\Sql2005;Initial Catalog=Northwind;User Id=sa;Password=pass@123";
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand("SELECT TOP 5 * FROM Customers"))
                {
                    using (SqlDataAdapter sda = new SqlDataAdapter())
                    {
                        cmd.Connection = con;
                        sda.SelectCommand = cmd;
                        using (Customers dsCustomers = new Customers())
                        {
                            sda.Fill(dsCustomers, "DataTable1");
                            return dsCustomers;
                        }
                    }
                }
            }
        }

        private void btnExport_Click(object sender, EventArgs e)
        {
            if (rbWord.Checked)
            {
                crystalReport.ExportToDisk(ExportFormatType.WordForWindows, @"D:\Files\CustomerReport.doc");
            }
            else if (rbExcel.Checked)
            {
                crystalReport.ExportToDisk(ExportFormatType.Excel, @"D:\Files\CustomerReport.xls");
            }
            else if (rbPDF.Checked)
            {
                crystalReport.ExportToDisk(ExportFormatType.PortableDocFormat, @"D:\Files\CustomerReport.pdf");
            }
            else if (rbCSV.Checked)
            {
                crystalReport.ExportToDisk(ExportFormatType.CharacterSeparatedValues, @"D:\Files\CustomerReport.csv");
            }
        }
    }
}
